Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

A request to add

https://github.com/charliesome/better_errors

in development section of gemfile by default.

Lot's of new to rails developers have hard time deubgging it's poor error messages, this gem makes debuggin much easier and

works well with Redmine.

Submitted a patch

History

#1 - 2017-01-29 05:00 - Toshi MARUYAMA

Does it support Windows?

#2 - 2017-01-30 14:26 - Aleksandar Pavic

- File before_better_errors.png added

- File after_better_errors.png added

Yes, works, confirmed on Win 10 machine, latest Redmine svn development checkout. r16304

#3 - 2017-01-30 14:34 - Toshi MARUYAMA

You might already know, but you can use Gemfile.local.

source:trunk/Gemfile@16264#L108

#4 - 2017-01-30 14:36 - Aleksandar Pavic

Then you suggest maybe turning this into plugin?

#5 - 2017-01-30 14:39 - Toshi MARUYAMA

- Subject changed from Better error messages to Add better_errors gem (Better error messages)

#6 - 2017-01-30 14:46 - Toshi MARUYAMA

Aleksandar Pavic wrote:

Then you suggest maybe turning this into plugin?

 No, you can use Gemfile.local as this.

group :development do

  gem "better_errors" 

  gem "binding_of_caller" 

end

#7 - 2017-01-30 18:38 - Jean-Philippe Lang

- Status changed from New to Closed
https://github.com/charliesome/better_errors
https://www.redmine.org/projects/redmine/repository/svn/revisions/16304
https://www.redmine.org/projects/redmine/repository/svn/revisions/16264/entry/trunk/Gemfile#L108


- Resolution set to Wont fix

Yes, you can create a file named Gemfile.local at the root of your Redmine directory for adding your favorite gems. It will be loaded automatically.

#8 - 2017-01-31 09:12 - Aleksandar Pavic

Thanks I just wanted to propose adding those 2 gems to raise awareness for new developers.

Anyway they don't bring something special, just a bit more informal view.

Files
